
QGIS Application - Bug report #6983

GRASS direct modules are not working under Linux

2013-01-12 10:24 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 16088

Description

but they are under Windows

The error message is

Cannot start module r.random

LD_LIBRARY_PATH=/usr/lib/qgis/plugins:/usr/lib/grass64/lib

QGIS_PREFIX_PATH=/usr

command: /usr/lib/grass64/bin/r.random --interface-description

GRASS_INFO_ERROR(5370,1): GISRC - variable not set GRASS_INFO_END(5370,1)

History

#1 - 2013-01-12 10:27 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#2 - 2013-04-10 07:41 AM - Radim Blazek

- Target version changed from Version 2.0.0 to Future Release - High Priority

If it complains about GISRC not set, it means that the module is run with true GRASS grass_gis library instead off QGIS fake grass_gis library.

Can you verify if the fake library is compiled and present in /usr/lib/qgis/plugins and if it has exactly the same name as true library (in /usr/lib/grass64/lib)?

Then try to set the same environment variables (which were printed in module output) in shell and run ldd on the module to check which lib is used.

#3 - 2013-04-11 06:03 AM - Giovanni Manghi

Radim Blazek wrote:

If it complains about GISRC not set, it means that the module is run with true GRASS grass_gis library instead off QGIS fake grass_gis library.

Can you verify if the fake library is compiled and present in /usr/lib/qgis/plugins and if it has exactly the same name as true library (in

/usr/lib/grass64/lib)?

Then try to set the same environment variables (which were printed in module output) in shell and run ldd on the module to check which lib is used.
gio@sibirica ~ $ ls /usr/lib/qgis/plugins/lib

libcoordinatecaptureplugin.so  libmssqlprovider.so

libdelimitedtextplugin.so      libofflineeditingplugin.so

libdelimitedtextprovider.so    libogrprovider.so

libdiagramoverlay.so           liboracleplugin.so

libdxf2shpconverterplugin.so   libowsprovider.so

libevis.so                     libpostgresprovider.so

libgdalprovider.so             librasterterrainplugin.so

libgeorefplugin.so             libroadgraphplugin.so

libglobeplugin.so              libspatialiteprovider.so

libgpsimporterplugin.so        libspatialqueryplugin.so

libgpxprovider.so              libspitplugin.so

libgrassplugin.so              libtopolplugin.so

libgrassprovider.so            libwcsprovider.so

libgrassrasterprovider.so      libwfsprovider.so

libheatmapplugin.so            libwmsprovider.so

libinterpolationplugin.so      libzonalstatisticsplugin.so

libmemoryprovider.so

gio@sibirica ~ $ ls /usr/lib/grass64/lib/

libgdal.so                     libgrass_Iortho.so

libgrass_arraystats.6.4.2.so   libgrass_iostream.6.4.2.a

libgrass_arraystats.so         libgrass_ismap.6.4.2.a

libgrass_bitmap.6.4.2.so       libgrass_I.so

libgrass_bitmap.so             libgrass_lidar.6.4.2.so

libgrass_btree.6.4.2.so        libgrass_lidar.so

libgrass_btree.so              libgrass_linkm.6.4.2.so

libgrass_cairodriver.6.4.2.so  libgrass_linkm.so

libgrass_cairodriver.so        libgrass_lrs.6.4.2.so

libgrass_cdhc.6.4.2.so         libgrass_lrs.so

libgrass_cdhc.so               libgrass_manage.6.4.2.a

libgrass_cluster.6.4.2.so      libgrass_neta.6.4.2.so

libgrass_cluster.so            libgrass_neta.so

libgrass_datetime.6.4.2.so     libgrass_nviz.6.4.2.so

libgrass_datetime.so           libgrass_nviz.so

libgrass_dbmibase.6.4.2.so     libgrass_ogsf.6.4.2.so

libgrass_dbmibase.so           libgrass_ogsf.so

libgrass_dbmiclient.6.4.2.so   libgrass_pngdriver.6.4.2.so

libgrass_dbmiclient.so         libgrass_pngdriver.so

libgrass_dbmidriver.6.4.2.so   libgrass_psdriver.6.4.2.so

libgrass_dbmidriver.so         libgrass_psdriver.so

libgrass_dbstubs.6.4.2.so      libgrass_qtree.6.4.2.so

libgrass_dbstubs.so            libgrass_qtree.so

libgrass_dgl.6.4.2.so          libgrass_raster.6.4.2.so

libgrass_dgl.so                libgrass_raster.so

libgrass_dig2.6.4.2.so         libgrass_rli.6.4.2.so

libgrass_dig2.so               libgrass_rli.so

libgrass_display.6.4.2.so      libgrass_rowio.6.4.2.so

libgrass_display.so            libgrass_rowio.so

libgrass_driver.6.4.2.so       libgrass_rtree.6.4.2.so

libgrass_driver.so             libgrass_rtree.so

libgrass_dspf.6.4.2.so         libgrass_segment.6.4.2.so

libgrass_dspf.so               libgrass_segment.so
libgrass_edit.6.4.2.so         libgrass_shape.6.4.2.so

libgrass_edit.so               libgrass_shape.so

libgrass_form.6.4.2.so         libgrass_sim.6.4.2.so

libgrass_form.so               libgrass_sim.so

libgrass_g3d.6.4.2.so          libgrass_sites.6.4.2.so

libgrass_g3d.so                libgrass_sites.so

libgrass_gis.6.4.2.so          libgrass_sqlp.6.4.2.so

libgrass_gis.so                libgrass_sqlp.so

libgrass_gmath.6.4.2.so        libgrass_stats.6.4.2.so

libgrass_gmath.so              libgrass_stats.so

libgrass_gpde.6.4.2.so         libgrass_symb.6.4.2.so

libgrass_gpde.so               libgrass_symb.so

libgrass_gproj.6.4.2.so        libgrass_trans.6.4.2.so

libgrass_gproj.so              libgrass_trans.so

libgrass_I.6.4.2.so            libgrass_vask.6.4.2.so

libgrass_interpdata.6.4.2.so   libgrass_vask.so

libgrass_interpdata.so         libgrass_vect.6.4.2.so

libgrass_interpfl.6.4.2.so     libgrass_vect.so

libgrass_interpfl.so           libgrass_vedit.6.4.2.so

libgrass_Iortho.6.4.2.so       libgrass_vedit.so

#4 - 2013-05-08 09:57 AM - Radim Blazek

- Priority changed from Severe/Regression to Normal

#5 - 2014-06-20 06:49 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

I believe direct modules are not an option anymore.
